Page MenuHomePhabricator

Remove existing gloss
Closed, ResolvedPublic5 Story Points

Description

Narrative:
As an editor of Wikidata-Lexeme I want to be able to remove an existing gloss in order to remove one that was added as vandalism or by mistake.

Acceptance Criteria:

  • I can remove a Gloss persistently
  • I can not remove the last Gloss of a Sense
  • After reloading the page the removed Gloss stays removed

Given: I have a Sense with at least 2 Glosses
When: I click "Remove" next to one of the Glosses
And: I click "Publish"
Then: the Gloss is removed

Personas to take into account:
Niels - Active editor on Wikidata
Alex - Data user in small startup

Event Timeline

RazShuty created this task.Jun 3 2018, 11:17 AM
RazShuty edited projects, added Story; removed Epic.Jun 3 2018, 11:51 AM
Esc3300 added a subscriber: Esc3300.Jun 4 2018, 4:54 AM

<quote>Acceptance Criteria:
"I can not remove the last Gloss of a Sense" </quote>

why that?

Is there a case where a Sense without a Gloss would be meaningful?

Probably not. If the "Gloss" was added by a vandal I suppose this couldn't have happened without a "Sense" that should also be deleted.

Yeah that's my assumption as well.

Vvjjkkii renamed this task from Remove existing gloss to arbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
CommunityTechBot renamed this task from arbaaaaaaa to Remove existing gloss.Jul 2 2018, 12:37 AM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher updated the task description. (Show Details)
Lucas_Werkmeister_WMDE set the point value for this task to 5.Jul 10 2018, 11:14 AM
Lydia_Pintscher closed this task as Resolved.Aug 1 2018, 9:08 AM
Lydia_Pintscher claimed this task.

\o/